@import '../../@theme/styles/themes';

@include nb-install-component() {
  nb-card {
    position: relative;
  }

  .flip-icon {
    position: absolute;
    right: 0.625rem;
    top: 1rem;
    @include nb-rtl(right, auto);
    @include nb-rtl(left, 0.625rem);
    cursor: pointer;
  }

  ::ng-deep .flipped {
    .back-container {
      .flip-icon {
        transform: scaleX(-1);
      }
    }

    .front-container {
      .flip-icon {
        display: none;
      }
    }
  }

  nb-card {
    display: flex;
    flex-direction: column;
    flex: 1;
  }

  ::ng-deep nb-card-body {
    overflow: hidden;
    display: flex;
  }

  .center-text {
    text-align: center;
  }

  ngx-hw-multiple-yvalues-chart {
    display: block;
    height: nb-theme(card-height-medium);
    width: 100%;
  }

  ::ng-deep .echart {
    height: 100%;
    width: 100%;
  }

  .chart-container {
    flex: 1;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
  }
  
}
